/* COPYRIGHT Esri - https://js.arcgis.com/5.0/LICENSE.txt */
import { w as o, W as e } from "./series-types.js";
import { g as h } from "./runtime.js";
import { fetchT9nStringsBundle as n, getElementLocale as p } from "@arcgis/toolkit/intl";
import { i as m } from "./utils.js";
function y(s) {
  const c = o(s.series);
  let t = "graph-bar";
  switch (c) {
    case e.LineSeries: {
      t = "graph-time-series";
      break;
    }
    case e.PieSeries: {
      t = "pie-chart";
      break;
    }
    case e.HistogramSeries: {
      t = "graph-histogram";
      break;
    }
    case e.ScatterSeries: {
      t = "graph-scatter-plot";
      break;
    }
    case e.BoxPlotSeries: {
      t = "box-chart";
      break;
    }
    case e.HeatSeries: {
      t = "calendar-heat-chart";
      break;
    }
    case e.BarSeries:
  }
  return t;
}
async function k(s, c) {
  const t = await n(
    p(document.documentElement).t9nLocale,
    h("./assets/common/t9n"),
    "messages."
  );
  return g({
    chartType: s,
    commonStrings: t,
    config: c
  });
}
function g(s) {
  const { chartType: c, commonStrings: t, config: i } = s, a = t.utilsStrings;
  let r = "";
  switch (c) {
    case e.HistogramSeries: {
      r = a.chartType.histogram;
      break;
    }
    case e.ScatterSeries: {
      r = a.chartType.scatterplot;
      break;
    }
    case e.BarSeries: {
      r = a.chartType.barChart;
      break;
    }
    case e.LineSeries: {
      r = a.chartType.lineChart;
      break;
    }
    case e.PieSeries: {
      r = a.chartType.pieChart;
      break;
    }
    case e.BoxPlotSeries: {
      r = a.chartType.boxPlot;
      break;
    }
    case e.HeatSeries: {
      i ? r = m(i) ? a.chartType.matrixHeatChart : a.chartType.calendarHeatChart : r = a.chartType.heatChart;
      break;
    }
  }
  return r;
}
export {
  g as a,
  k as f,
  y as g
};
